summarylogtreecommitdiffstats
path: root/onelife
diff options
context:
space:
mode:
authorbobpaul2018-02-28 22:48:41 -0600
committerbobpaul2018-02-28 22:48:41 -0600
commit4192a255c11d8b39509bd3b232ddd2ce9e14c895 (patch)
treed52ac37871bd715821ab0986e259a57c17d46cb7 /onelife
downloadaur-4192a255c11d8b39509bd3b232ddd2ce9e14c895.tar.gz
v58-1
Diffstat (limited to 'onelife')
-rwxr-xr-xonelife17
1 files changed, 17 insertions, 0 deletions
diff --git a/onelife b/onelife
new file mode 100755
index 000000000000..06325c9f165d
--- /dev/null
+++ b/onelife
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+if readlink $0 > /dev/null; then
+ DIR=$(dirname $(readlink $0))
+else
+ DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+fi
+
+if ! [[ -d ~/.config/onelife/settings ]]; then
+ mkdir -p ~/.config/onelife/settings >/dev/null || true
+fi
+
+cp -n /opt/OneLife-bin/settings_default/* ~/.config/onelife/settings/
+find ~/.config/onelife -depth -maxdepth 1 -type l -delete
+ln -st ~/.config/onelife/ $DIR/*
+cd ~/.config/onelife
+./OneLifeApp